package it.polito.po.test;

import university.University;
import junit.framework.TestCase;

public class TestR4_Iscritti extends TestCase {
	University a;
	int matricola;
	int codice;
	
	public void setUp(){
		a = new University("Politecnico di Torino");
		String nome = "Mario";
		String cognome = "Rossi";
		
		matricola = a.enroll(nome, cognome);

		String titolo = "Ingegneria del Software";
		String titolare = "Kent Beck";
		
		codice = a.activate(titolo, titolare);
	}

	public void testIscritti(){
		
		a.register(matricola, codice);
		
		String iscritti = a.listAttendees(codice);
		
		assertNotNull("Manca l'elenco degli iscritti",iscritti);
		
		assertTrue("Manca lo studente iscritto al corso",
					iscritti.contains(""+matricola));
	}

	public void testPiano(){
		
		a.register(matricola, codice);
		
		String piano = a.studyPlan(matricola);
		
		assertNotNull("Manca il piano di studi",piano);
		
		assertTrue("Manca il corso a cui lo studente  iscritto",
					piano.contains(""+codice));
	}
}
