package it.polito.po.test;

import university.University;
import junit.framework.TestCase;

public class TestR1_Ateneo extends TestCase {

	
	public void testAteneo(){
		
		String nome = "Politecnico di Torino";
		University a = new University(nome);
		
		
		assertEquals(nome,a.getName());	
	}
	
	public void testRettore(){

		String nome = "Politecnico di Torino";
		String nomeRettore = "Francesco";
		String cognomeRettore = "Profumo";
		University a = new University(nome);
		
		a.setRector(nomeRettore, cognomeRettore);
		
		String rettore = a.getRector();
		
		assertNotNull("Non viene restituito alcun rettore.",
					rettore);
		assertTrue("Manca il nome del rettore",
					rettore.indexOf(nomeRettore)!=-1);
		assertTrue("Manca il cognome del rettore",
				rettore.indexOf(cognomeRettore)!=-1);
	}
}
