package university;

public class Course {

	public final static int MAX_ATTENDING = 100;
	
	private int code;
	private String title;
	private String teacher;
	private Student[] attendees = new Student[MAX_ATTENDING];
	
	public Course(int code, String title, String teacher) {
		this.code = code;
		this.title = title;
		this.teacher = teacher;
	}
	
	public String toString(){
		return code + " " + title + " " + teacher;
	}

	public void registerAttendee(Student s) {
		for(int i=0; i<attendees.length; ++i){
			if(attendees[i]==null){
				attendees[i] = s;
				break;
			}
		}
	}

	public String listAttendees() {
		StringBuffer result = new StringBuffer();
		
		for (int i = 0; i < attendees.length; i++) {
			if(attendees[i] != null){
				result.append(attendees[i].toString());
				result.append("\n");
			}
		}
		return result.toString();
	}
}
