package university;

public class Student {

	public final static int MAX_COURSES = 25;
	private int id;
	private String first;
	private String last;
	private Course[] attends = new Course[MAX_COURSES];
	
	public Student(int id, String first, String last) {
		this.id = id;
		this.first = first;
		this.last = last;
	}

	public String toString(){
		return id + " " + first + " " + last;
	}

	public void attendCourse(Course c) {
		for(int i=0; i<attends.length; ++i){
			if(attends[i]==null){
				attends[i] = c;
				break;
			}
		}
	}

	public String studyPlan() {
		StringBuffer result = new StringBuffer();
		
		for (int i = 0; i < attends.length; i++) {
			if(attends[i] != null){
				result.append(attends[i].toString());
				result.append("\n");
			}
		}
		return result.toString();
	}
}
